Bug 654445 - Automated testing coverage for lvm2app
Automated testing coverage for lvm2app
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Petr Rockai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 16:21 EST by Petr Rockai
Modified: 2014-09-10 12:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-10 12:53:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Rockai 2010-11-17 16:21:17 EST
We currently do not run automated coverage for lvm2app. This needs to be fixed. This BZ should cover both adapting the existing test code for automated running, integrating the testing with make check/buildbot and adding new test cases.
Comment 1 Petr Rockai 2010-11-17 16:21:36 EST
In progress.
Comment 2 Petr Rockai 2010-12-12 18:05:13 EST
The basic framework for this is in, and is passing on the buildbots. We need a bit more automation (making the tests easier to write) as well as more coverage (we only have very rudimentary stuff right now).
Comment 3 Fedora End Of Life 2013-04-03 16:13:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Petr Rockai 2014-09-10 12:53:35 EDT
This was addressed a while back, cf. test/api. The coverage is small, but better than nothing. Extending (or reworking) this will be, presumably, part of the long-term liblvm effort.

Note You need to log in before you can comment on or make changes to this bug.